<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');



if($_GET['palet']) $palet=$_GET['palet']; else $palet=$_POST['palet'];
if($_GET['cerrar']) $cerrar=$_GET['cerrar']; else $cerrar=$_POST['cerrar'];

if($_GET['lineaTrabajo']) $lineaTrabajo=$_GET['lineaTrabajo']; else $lineaTrabajo=$_POST['lineaTrabajo'];
if($_GET['turnoTrabajo']) $turnoTrabajo=$_GET['turnoTrabajo']; else $turnoTrabajo=$_POST['turnoTrabajo'];

if($_GET['fecha']) $fecha=$_GET['fecha']; else $fecha=$_POST['fecha'];
if($_GET['hora']) $hora=$_GET['hora']; else $hora=$_POST['hora'];

$fecha=fechaParaProxium(fechaMysql($fecha));

if($lineaTrabajo) $lineaGrabar=$lineaTrabajo; else $lineaGrabar=$_SESSION['transformacion_lineaTrabajo_seleccionada'];
if($turnoTrabajo) $turnoGrabar=$turnoTrabajo; else $turnoGrabar=$_SESSION['transformacion_turnoTrabajo_seleccionado'];

$continuarCierre=true;

//04-08-2023
if($_POST['SSCC']) {

	//$cadenaPalet=$palet.',,'.$_POST['SSCC'];
	$cadenaPalet=$palet.',,'.$_POST['SSCC'].','.$_SESSION['operacion']['NumOperacion']; //03-09-2024 TICKET 24060963
			
	$peticion='SGATipificarPalets#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#'.$_SESSION['almacen'].'#'.$cadenaPalet;
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	
	$valores=explode('#',$resultado[0]['Error']);
		
	if($valores[0]=='1') {
	
		$continuarCierre=false;
		
		print_r($resultado[0]['Error']);
		
	}

}

if($continuarCierre) {
	
	$peticion='SGACierrePaletTransf#'.$_SESSION['empresa'].'#'.$_SESSION['operacion']['NumOperacion'].'#'.$_SESSION['usuario']['Usuario'].';'.$lineaGrabar.';'.$turnoGrabar.';'.$fecha.';'.$hora.'#'.$palet.','.$cerrar;
	
	//Aņadir fecha formtato proxium y hora 24:00:00
	
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	
	if($_GET['traza']=='si'){
		echo '<p>'.$peticion.'</p>';
		print_r($resultado);
	}
	
	print_r($resultado[0]['Error']);
	
}

?>